Index: /trunk/mobile/inc/class.ui_home.inc.php
===================================================================
--- /trunk/mobile/inc/class.ui_home.inc.php	(revision 4002)
+++ /trunk/mobile/inc/class.ui_home.inc.php	(revision 4094)
@@ -1,133 +1,145 @@
 <?php
-    class ui_home {
-		var $imap_functions;
-		var $db;
-		var $bocalendar;
-		var $bo_mobilemail;
-		var $common;
-		var $template;
+class ui_home
+{
+	var $imap_functions;
+	var $db;
+	var $bocalendar;
+	var $bo_mobilemail;
+	var $common;
+	var $template;
     	
-		var $public_functions = array(
-			'index' => true,
-			'search' => true,
-			'change_template' => true
-		);
-		
-		function ui_home() {
-			$this->template = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
-			$this->common	= CreateObject('mobile.common_functions');
-			$this->imap_functions	= CreateObject('expressoMail1_2.imap_functions');
-			$this->db	= CreateObject('phpgwapi.db');
-			$this->bocalendar = CreateObject('calendar.bocalendar');
-			$this->bo_mobilemail = CreateObject('mobile.bo_mobilemail');
+	var $public_functions = array(
+		'dicas' => true,
+		'index' => true,
+		'search' => true,
+		'change_template' => true
+	);
+		
+	function ui_home()
+	{
+		$this->template = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
+		$this->common	= CreateObject('mobile.common_functions');
+		$this->imap_functions	= CreateObject('expressoMail1_2.imap_functions');
+		$this->db	= CreateObject('phpgwapi.db');
+		$this->bocalendar = CreateObject('calendar.bocalendar');
+		$this->bo_mobilemail = CreateObject('mobile.bo_mobilemail');
+	}
+		
+	function change_template($params)
+	{
+		$GLOBALS['phpgw']->session->appsession('mobile.layout','mobile',$params['template']);
+		header("location: index.php?menuaction=mobile.ui_mobilemail.change_folder&folder=0");
+	}
+
+	function dicas()
+	{
+		$this->template->set_file(array('dicas' => 'dicas.tpl'));
+		$this->template->set_block('dicas','page');	
+		$GLOBALS['phpgw_info']['mobiletemplate']->set_content($this->template->fp('out', 'page'));
+	}
+	
+	function index($params)
+	{
+		$this->template->set_file(array('home_index' => 'home_index.tpl'));
+		$this->template->set_file(array('home_search_bar' => 'search_bar.tpl'));
+				
+		$this->template->set_block('home_index','page');	
+		$this->template->set_block('home_index','folder_block');
+		$this->template->set_block('home_index','commitment_block');	
+		$this->template->set_block('home_search_bar','search_bar');
+		
+		//langs
+		$this->template->set_var('lang_context_email', lang("context email"));
+		$this->template->set_var('lang_context_contact', lang("context contact"));
+		$this->template->set_var('lang_context_commitment', lang("context commitment"));
+		$this->template->set_var('lang_search', lang("search"));
+		$this->template->set_var('lang_my_mail', lang("my mail"));
+		$this->template->set_var('lang_my_folders', lang("my folders"));
+		$this->template->set_var('lang_my_commitments', lang("my commitments"));
+		$this->template->set_var('lang_my_contacts', lang("my contacts"));
+		$this->template->set_var('lang_new_mail', lang("new mail"));
+		$this->template->set_var('lang_mark_as_read', lang("mark as read"));
+		$this->template->set_var('lang_selected', lang("selected"));
+		
+		$accountId = $GLOBALS['phpgw_info']['user']['account_id'];
+		
+		//pegando as pastas
+		$default_folders = $this->imap_functions->get_folders_list(array('noSharedFolders' => true, 'folderType' => 'default', 'noQuotaInfo' => true));
+		$total_quota = $this->imap_functions->get_quota(array());
+
+		$this->set_folder_block($default_folders, "default_folders_box");
+		
+		$personal_folders = $this->imap_functions->get_folders_list(array('noSharedFolders' => true, 'folderType' => 'personal', 'noQuotaInfo' => true));
+		$this->set_folder_block($personal_folders, "personal_folders_box", sizeof($default_folders));
+		
+		$this->template->set_var('quota_percent', $total_quota["quota_percent"]);
+		$this->template->set_var('quota_used', $this->common->borkb($total_quota["quota_used"]*1024));
+		$this->template->set_var('quota_limit', $this->common->borkb($total_quota["quota_limit"]*1024));
+		
+		//pegando os eventos do dia atual
+		$year	= $this->bocalendar->year;
+		$month	= $this->bocalendar->month;
+		$day	= $this->bocalendar->day;
+		
+		$tstart = mktime(0,0,0,$month,$day,$year);
+		
+		$tstop = $tstart + 86400; //(24horas*60min*60seg*1dia)
+		$this->bocalendar->so->owner = $accountId;
+		$this->bocalendar->so->open_box($accountId);
+		$this->bocalendar->store_to_cache( array(
+			'owner'	=> $accountId,
+			'syear'  => date('Y',$tstart),
+			'smonth' => date('m',$tstart),
+			'sday'   => date('d',$tstart),
+			'eyear'  => date('Y',$tstop),
+			'emonth' => date('m',$tstop),
+			'eday'   => date('d',$tstop)
+		) );
+		
+		$events = $this->bocalendar->cached_events;
+		
+		foreach($events[$year.$this->common->complete_string($month,2,"R","0").$this->common->complete_string($day,2,"R","0")] as $index=>$event)
+		{
+			$this->template->set_var('commitment_class', (($index%2==0) ? "fundo-azul-alinha" : "fundo-branco-alinha") );
+			$this->template->set_var('commitment_time', $this->common->complete_string($event["start"]["hour"],2,"R","0") .":". $this->common->complete_string($event["start"]["min"],2,"R","0") );
+			$this->template->set_var('commitment_title', $event["title"] );
+			
+			$this->template->parse('commitments_box', 'commitment_block' ,true);
 		}
 		
-		function change_template($params) {
-			$GLOBALS['phpgw']->session->appsession('mobile.layout','mobile',$params['template']);
-			header("location: index.php?menuaction=mobile.ui_mobilemail.change_folder&folder=0");
+		
+		
+		if($GLOBALS['phpgw']->session->appsession('mobile.layout','mobile')=="mini_desktop") {
+			$GLOBALS['phpgw_info']['mobiletemplate']->set_home($this->template->fp('out', 'page'));
+		} else {
+			$GLOBALS['phpgw_info']['mobiletemplate']->set_error_msg($params["error_message"]);
+			$GLOBALS['phpgw_info']['mobiletemplate']->set_success_msg($params["success_message"]);
+			$this->template->set_var('search',$this->template->fp('out','search_bar'));
+			$GLOBALS['phpgw_info']['mobiletemplate']->set_content($this->template->fp('out', 'page'));
 		}
-		
-		function index($params) {
-			$this->template->set_file(array('home_index' => 'home_index.tpl'));
-			$this->template->set_file(array('home_search_bar' => 'search_bar.tpl'));
-					
-			$this->template->set_block('home_index','page');	
-			$this->template->set_block('home_index','folder_block');
-			$this->template->set_block('home_index','commitment_block');	
-			$this->template->set_block('home_search_bar','search_bar');
-			
-			//langs
-			$this->template->set_var('lang_context_email', lang("context email"));
-			$this->template->set_var('lang_context_contact', lang("context contact"));
-			$this->template->set_var('lang_context_commitment', lang("context commitment"));
-			$this->template->set_var('lang_search', lang("search"));
-			$this->template->set_var('lang_my_mail', lang("my mail"));
-			$this->template->set_var('lang_my_folders', lang("my folders"));
-			$this->template->set_var('lang_my_commitments', lang("my commitments"));
-			$this->template->set_var('lang_my_contacts', lang("my contacts"));
-			$this->template->set_var('lang_new_mail', lang("new mail"));
-			$this->template->set_var('lang_mark_as_read', lang("mark as read"));
-			$this->template->set_var('lang_selected', lang("selected"));
-			
-			$accountId = $GLOBALS['phpgw_info']['user']['account_id'];
-			
-			//pegando as pastas
-			$default_folders = $this->imap_functions->get_folders_list(array('noSharedFolders' => true, 'folderType' => 'default', 'noQuotaInfo' => true));
-			$total_quota = $this->imap_functions->get_quota(array());
-	
-			$this->set_folder_block($default_folders, "default_folders_box");
-			
-			$personal_folders = $this->imap_functions->get_folders_list(array('noSharedFolders' => true, 'folderType' => 'personal', 'noQuotaInfo' => true));
-			$this->set_folder_block($personal_folders, "personal_folders_box", sizeof($default_folders));
-			
-			$this->template->set_var('quota_percent', $total_quota["quota_percent"]);
-			$this->template->set_var('quota_used', $this->common->borkb($total_quota["quota_used"]*1024));
-			$this->template->set_var('quota_limit', $this->common->borkb($total_quota["quota_limit"]*1024));
-			
-			//pegando os eventos do dia atual
-			$year	= $this->bocalendar->year;
-			$month	= $this->bocalendar->month;
-			$day	= $this->bocalendar->day;
-			
-			$tstart = mktime(0,0,0,$month,$day,$year);
-			
-			$tstop = $tstart + 86400; //(24horas*60min*60seg*1dia)
-			$this->bocalendar->so->owner = $accountId;
-			$this->bocalendar->so->open_box($accountId);
-			$this->bocalendar->store_to_cache( array(
-				'owner'	=> $accountId,
-				'syear'  => date('Y',$tstart),
-				'smonth' => date('m',$tstart),
-				'sday'   => date('d',$tstart),
-				'eyear'  => date('Y',$tstop),
-				'emonth' => date('m',$tstop),
-				'eday'   => date('d',$tstop)
-			) );
-			
-			$events = $this->bocalendar->cached_events;
-			
-			foreach($events[$year.$this->common->complete_string($month,2,"R","0").$this->common->complete_string($day,2,"R","0")] as $index=>$event)
-			{
-				$this->template->set_var('commitment_class', (($index%2==0) ? "fundo-azul-alinha" : "fundo-branco-alinha") );
-				$this->template->set_var('commitment_time', $this->common->complete_string($event["start"]["hour"],2,"R","0") .":". $this->common->complete_string($event["start"]["min"],2,"R","0") );
-				$this->template->set_var('commitment_title', $event["title"] );
-				
-				$this->template->parse('commitments_box', 'commitment_block' ,true);
-			}
-			
-			
-			
-			if($GLOBALS['phpgw']->session->appsession('mobile.layout','mobile')=="mini_desktop") {
-				$GLOBALS['phpgw_info']['mobiletemplate']->set_home($this->template->fp('out', 'page'));
-			} else {
-				$GLOBALS['phpgw_info']['mobiletemplate']->set_error_msg($params["error_message"]);
-				$GLOBALS['phpgw_info']['mobiletemplate']->set_success_msg($params["success_message"]);
-				$this->template->set_var('search',$this->template->fp('out','search_bar'));
-				$GLOBALS['phpgw_info']['mobiletemplate']->set_content($this->template->fp('out', 'page'));
-			}
+	}
+		
+	/**
+	 * 
+	 *
+	 * $index_increment utilizado para quando passar o array das pastas pessoais somar com a quantidade de pastas default.
+	 */
+	function set_folder_block($folders, $box_target, $index_increment = 0) {
+		foreach($folders as $index=>$folder) 
+		{
+			$this->template->set_var('folder_class', (($index%2==0) ? "par" : "par1") );
+			$this->template->set_var('folder_id', $index + $index_increment );
+			
+			$translated_folder_name = $this->bo_mobilemail->get_translate_default_folder_name_from_id($folder["folder_id"]);
+			
+			$this->template->set_var('folder_name', (($translated_folder_name == "") ? $folder["folder_name"] : $translated_folder_name) );
+			$this->template->set_var('folder_unseen', $folder["folder_unseen"] );
+			
+			$this->imap_functions->open_mbox($folder["folder_id"],true);
+			$this->template->set_var('folder_total_msg', $this->imap_functions->get_num_msgs(array('folder' => $folder["folder_id"] ) ) );
+			
+			$this->template->parse($box_target, 'folder_block' ,true);
 		}
-		
-		/**
-		 * 
-		 *
-		 * $index_increment utilizado para quando passar o array das pastas pessoais somar com a quantidade de pastas default.
-		 */
-		function set_folder_block($folders, $box_target, $index_increment = 0) {
-			foreach($folders as $index=>$folder) 
-			{
-				$this->template->set_var('folder_class', (($index%2==0) ? "par" : "par1") );
-				$this->template->set_var('folder_id', $index + $index_increment );
-				
-				$translated_folder_name = $this->bo_mobilemail->get_translate_default_folder_name_from_id($folder["folder_id"]);
-				
-				$this->template->set_var('folder_name', (($translated_folder_name == "") ? $folder["folder_name"] : $translated_folder_name) );
-				$this->template->set_var('folder_unseen', $folder["folder_unseen"] );
-				
-				$this->imap_functions->open_mbox($folder["folder_id"],true);
-				$this->template->set_var('folder_total_msg', $this->imap_functions->get_num_msgs(array('folder' => $folder["folder_id"] ) ) );
-				
-				$this->template->parse($box_target, 'folder_block' ,true);
-			}
-		}
+	}
 		
     function search($params) {
Index: /trunk/mobile/mobile_header.inc.php
===================================================================
--- /trunk/mobile/mobile_header.inc.php	(revision 3990)
+++ /trunk/mobile/mobile_header.inc.php	(revision 4094)
@@ -33,5 +33,7 @@
 	function start_prefered_app(){
 		//TODO: Determinar qual a aplicaï¿œï¿œo mï¿œvel preferida e iniciï¿œ-la.			
-		switch($GLOBALS['phpgw_info']['user']['preferences']['common']['default_mobile_app']){
+	
+		switch($GLOBALS['phpgw_info']['user']['preferences']['common']['default_mobile_app'])
+		{
 			case home:
 				$link = "ui_home.index";		
Index: /trunk/mobile/templates/default/dicas.tpl
===================================================================
--- /trunk/mobile/templates/default/dicas.tpl	(revision 4094)
+++ /trunk/mobile/templates/default/dicas.tpl	(revision 4094)
@@ -0,0 +1,53 @@
+<!-- BEGIN page -->
+
+<div>
+	<div style="margin:10px;">
+		<b>Como adicionar o ícone à tela inicial do iPhone?</b>
+	</div>
+	
+	<div style="border-bottom:1px dashed #000 !important; margin:10px;">
+		1- ) Acesse <em>expresso.pr.gov.br</em> no navegador do iPhone. 
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/iphone1.png" width="200px" height="275px" style="border:1px solid #000;"/>
+		<br clear="all"/>
+		Em seguida, toque no [+], na barra inferior.
+		<br clear="all"/>
+		<br clear="all"/>
+		<br clear="all"/>
+	</div>
+	
+	<div style="border-bottom:1px dashed #000 !important; margin:10px;">
+		2- ) Clique em "Adicionar à Tela Início".
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/iphone2.png" width="200px" height="275px" style="border:1px solid #000;/>
+		<br clear="all"/>
+		<br clear="all"/>
+		<br clear="all"/>		
+	</div>
+	
+	<div style="border-bottom:1px dashed #000 !important; margin:10px;">
+		3- ) Após o ícone da ExpressoLivre aparecer, toque em "Adicionar" (ou "Add")
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/iphone3.png" width="200px" height="275px" style="border:1px solid #000;/>
+		<br clear="all"/>
+		<br clear="all"/>
+		<br clear="all"/>
+	</div>
+	
+	<div style="border-bottom:1px dashed #000 !important; margin:10px;">
+		4- ) Terminado o procedimento, o ícone do ExpressoLivre aparecerá em sua tela inicial
+		e o acesso em poderá ser feito <em>expresso.pr.gov.br</em>.
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/iphone4.png" width="200px" height="275px" style="border:1px solid #000;/>
+		<br clear="all"/>
+		<br clear="all"/>
+		<br clear="all"/>
+	</div>
+
+</div>
+
+<!-- END page -->
Index: /trunk/mobile/templates/default/template.tpl
===================================================================
--- /trunk/mobile/templates/default/template.tpl	(revision 3996)
+++ /trunk/mobile/templates/default/template.tpl	(revision 4094)
@@ -10,7 +10,27 @@
 	</head>	
 	<body>
-		<div class="topo">
-			<h1><a href="index.php?menuaction=mobile.ui_home.index" class="title">{global_title}</a></h1>
+		<div class="topo" style="height:20pt;">
+			<div style="position:absolute; float:left; width:50%;">
+				<div style="position:relative; float:left;">
+					<h1 onclick="window.location='index.php?menuaction=mobile.ui_home.index'">{global_title}</h1>
+				</div>
+			</div>
+			
+			<div style="position:relative; float:right; width:50%;">
+				<div style="position:absolute; float: left;">
+					<h1 onclick="window.location='index.php?menuaction=mobile.ui_home.dicas'">Dicas</h1>
+				</div>
+				
+				<div style="position:relative; float: right;">
+					<h1 onclick="window.location='{href_logout}'">{lang_logout}</h1>
+				</div>
+			</div>
+			
+			<!-- 
+			<h1 style="text-align:left !important;"><a href="index.php?menuaction=mobile.ui_home.index" class="title">{global_title}</a></h1>
+			<h1 style="text-align:center !important;"><a href="index.php?menuaction=mobile.ui_home.dicas" class="title"> - Dicas </a></h1>
 			<span><a href="{href_logout}">{lang_logout}</a></span>
+			 -->
+			
 		</div>
 