Index: /branches/2.2.0.1/calendar/templates/default/day_cal.tpl
===================================================================
--- /branches/2.2.0.1/calendar/templates/default/day_cal.tpl	(revision 4114)
+++ /branches/2.2.0.1/calendar/templates/default/day_cal.tpl	(revision 4125)
@@ -30,6 +30,6 @@
 <br />
     {iprint}
-    <input type="radio" name="group1" id="list" value="list" onclick="muda(this.value);" checked> Lista
-    <input type="radio" name="group1" id="grid" value="grid" onclick="muda(this.value);" > Grade
+    <input type="radio" name="group1" id="list" value="list" onclick="printMode(this.value);" checked> Lista
+    <input type="radio" name="group1" id="grid" value="grid" onclick="printMode(this.value);" > Grade
 
 </div>
@@ -39,5 +39,5 @@
 <script>
 
-    function muda(printType)
+    function printMode(printType)
     {
 	if(printType == "grid")
@@ -60,5 +60,16 @@
     {
 
-        document.getElementById("listPrint").style.visibility = 'hidden';
+        //document.getElementById("listPrint").style.visibility = 'hidden';
+	document.getElementById("printFriendly").onclick = function(){
+									if(document.getElementById("grid").checked == true)
+									{
+									    //document.getElementById("listPrint").style.visibility = 'hidden';
+									    scheduler.toPDF('calendar/js/dhtmlx/server/generate.php');
+									}
+									else
+									{
+									    window.open("index.php?menuaction=calendar.uicalendar.month"+"{param}","","width=600,height=600,toolbar=no,scrollbars=yes,resizable=no");
+									}
+								     };
 
 	//inicializa o calendário
Index: /branches/2.2.0.1/calendar/templates/default/new_month.tpl
===================================================================
--- /branches/2.2.0.1/calendar/templates/default/new_month.tpl	(revision 4115)
+++ /branches/2.2.0.1/calendar/templates/default/new_month.tpl	(revision 4125)
@@ -58,6 +58,6 @@
 <br />
     {iprint}
-    <input type="radio" name="group1" id="list" value="list" onclick="muda(this.value);" checked> Lista
-    <input type="radio" name="group1" id="grid" value="grid" onclick="muda(this.value);" > Grade<br>
+    <input type="radio" name="group1" id="list" value="list" onclick="printMode(this.value);" checked> Lista
+    <input type="radio" name="group1" id="grid" value="grid" onclick="printMode(this.value);" > Grade<br>
 
 </div>
@@ -69,5 +69,5 @@
 <script>
 
-    function muda(printType)
+    function printMode(printType)
     {
 	if(printType == "grid")
Index: /branches/2.2.0.1/calendar/templates/default/new_week.tpl
===================================================================
--- /branches/2.2.0.1/calendar/templates/default/new_week.tpl	(revision 4115)
+++ /branches/2.2.0.1/calendar/templates/default/new_week.tpl	(revision 4125)
@@ -60,6 +60,6 @@
 <br />
     {iprint}
-    <input type="radio" name="group1" id="list" value="list" onclick="muda(this.value);" checked> Lista
-    <input type="radio" name="group1" id="grid" value="grid" onclick="muda(this.value);" > Grade<br>
+    <input type="radio" name="group1" id="list" value="list" onclick="printMode(this.value);" checked> Lista
+    <input type="radio" name="group1" id="grid" value="grid" onclick="printMode(this.value);" > Grade<br>
 
 </div>
@@ -71,9 +71,9 @@
 <script>
 
-    function muda(printType)
+    function printMode(printType)
     {
 	if(printType == "grid")
 	{
-	    document.getElementById("listPrint").style.visibility = 'hidden';
+	    //document.getElementById("listPrint").style.visibility = 'hidden';
 	    document.getElementById("printFriendly").onclick = function(){
 									    scheduler.toPDF('calendar/js/dhtmlx/server/generate.php');
@@ -82,5 +82,5 @@
 	else if(printType =="list")
 	{
-	    document.getElementById("listPrint").style.visibility = '';
+	    //document.getElementById("listPrint").style.visibility = '';
 	    document.getElementById("printFriendly").onclick = function(){
 									    window.open("index.php?menuaction=calendar.uicalendar.month"+"{param}","","width=600,height=600,toolbar=no,scrollbars=yes,resizable=no");
@@ -94,5 +94,5 @@
 									if(document.getElementById("grid").checked == true)
 									{
-									    document.getElementById("listPrint").style.visibility = 'hidden';
+									    //document.getElementById("listPrint").style.visibility = 'hidden';
 									    scheduler.toPDF('calendar/js/dhtmlx/server/generate.php');
 									}