Index: /trunk/mobile/index.php
===================================================================
--- /trunk/mobile/index.php	(revision 3969)
+++ /trunk/mobile/index.php	(revision 4130)
@@ -50,5 +50,5 @@
 	}
 
-
+	
 	$GLOBALS['phpgw_info']['flags'] = array(
 		'noheader'   => True,
@@ -60,16 +60,16 @@
 	include('../header.inc.php');
 	include('./mobile_header.inc.php');
-
+	
 	if($mobileapp == 'home')
 	{
 		start_prefered_app();
 	}
-
+	
 	$GLOBALS[$class] = CreateObject(sprintf('%s.%s','mobile',$class));
 	$public_functions = $GLOBALS[$class]->public_functions;
 	if((is_array($GLOBALS[$class]->public_functions) && $GLOBALS[$class]->public_functions[$method]) && ! $invalid_data)
-	{
-		$GLOBALS['phpgw_info']['mobiletemplate'] = CreateObject("mobile.mobiletemplate");
-		$GLOBALS['phpgw_info']['mobiletemplate'] -> print_page($class,$method);
+	{						
+		$GLOBALS['phpgw_info']['mobiletemplate'] = CreateObject("mobile.mobiletemplate");					
+		$GLOBALS['phpgw_info']['mobiletemplate'] -> print_page($class,$method);		
 		unset($mobileapp);
 		unset($class);
@@ -108,5 +108,5 @@
 		{
 			$GLOBALS['phpgw']->log->commit();
-		}
+		}		
 		start_prefered_app();
 	}
Index: /trunk/mobile/templates/default/login.tpl
===================================================================
--- /trunk/mobile/templates/default/login.tpl	(revision 4031)
+++ /trunk/mobile/templates/default/login.tpl	(revision 4130)
@@ -8,11 +8,28 @@
 		<meta name="format-detection" content="telephone=no" />
 		<link href="templates/css/mobile.css" type="text/css" rel="StyleSheet" />
-
+		<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;"/>
+		<link rel="apple-touch-icon" href="./templates/default/images/favicon.png" />
+		<link rel="apple-touch-icon-precomposed" href="./templates/default/images/favicon.png"/>
+		<meta name="apple-mobile-web-app-status-bar-style" content="black" />
+		<link rel="icon" href="./templates/default/images/favicon.png" type="image/x-ico" />
+		<meta name="apple-touch-fullscreen" content="YES" /> 
 		<script type="text/javascript">
 
-			function validate_login() {
+			function validate_login(form)
+			{
 				document.getElementById("max_resolution").value = ((screen.width >= screen.height) ? screen.width : screen.height);
+
+				verifyBrowser( form );
 				
 				return true;
+			}
+
+			function verifyBrowser(form)
+			{
+				if('{os_browser}' != false){
+					if(window.confirm("Você está acessando de um {os_browser}. Deseja salvar usuário e senha neste dispositivo?")) {
+						form.save_login.value = 'yes';
+					}
+				}
 			}
 
@@ -27,8 +44,9 @@
 		{message_box}		
 		
-		<form name="form_login" method="post" action="./login.php" id="login_form" onSubmit="return validate_login()">
+		<form name="form_login" method="post" action="./login.php" id="login_form" autocomplete=off onSubmit="return validate_login(this);">
 			<input type="hidden" name="max_resolution" id="max_resolution" value="">
 			<input type="hidden" name="passwd_type" value="text">
 			<input type="hidden" name="account type" value="u">
+			<input type="hidden" name="save_login" value="no">
 			<dt id="lista_miolo">
 				<div class="login">
@@ -40,4 +58,5 @@
 				</div>
 			</dt>
+			
 		</form>
 
Index: /trunk/mobile/templates/default/home_index.tpl
===================================================================
--- /trunk/mobile/templates/default/home_index.tpl	(revision 3990)
+++ /trunk/mobile/templates/default/home_index.tpl	(revision 4130)
@@ -1,4 +1,13 @@
 <!-- BEGIN page -->
-
+<html>
+<head>
+<meta http-equiv="Content-Language" content="pt-BR" />
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;"/>
+<link rel="apple-touch-icon-precomposed" href="./templates/default/images/favicon.png"/>
+<meta name="apple-mobile-web-app-status-bar-style" content="black" />
+<link rel="apple-touch-icon" href="./templates/default/images/favicon.png" />
+<link rel="icon" href="./templates/default/images/favicon.png" type="image/x-ico" />
+<meta name="apple-touch-fullscreen" content="YES" />
 <script type="text/javascript">
 
@@ -66,5 +75,6 @@
 	</dl>
 </form>
-
+</body>
+</html>
 <!-- END page -->
 <!-- BEGIN folder_block -->